Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# StorageInfo Class Reference

The StorageInfo class describes the disks mounted on the file system. More...

`#include <qtopia/storage.h>`

List of all member functions.

## Public Members

- StorageInfo ( QObject * parent = 0 )
- const QList<FileSystem> & fileSystems () const
- const FileSystem * fileSystemOf ( const QString & filename )
- QStringList fileSystemNames () const

## Public Slots

- void update ()

## Signals

- void disksChanged ()

## Detailed Description

The StorageInfo class describes the disks mounted on the file system.

This class provides access to the mount information for the Linux filesystem. Each mount point is represented by the FileSystem class. To ensure this class has the most up to date size information, call the update() method. Note that this will automatically be signaled by the operating system when a disk has been mounted or unmounted.

See also Qtopia Classes.

## Member Function Documentation

### StorageInfo::StorageInfo ( QObject * parent = 0 )

Constructor that determines the current mount points of the filesystem. The standard parent parameters is passed on to QObject.

### void StorageInfo::disksChanged ()`[signal]`

Gets emitted when a disk has been mounted or unmounted, such as when a CF card has been inserted.

### QStringList StorageInfo::fileSystemNames () const

Returns a list of filesystem names.

### const FileSystem * StorageInfo::fileSystemOf ( const QString & filename )

Returns the longest matching FileSystem that starts with the same prefix as filename as its mount point.

### const QList<FileSystem> & StorageInfo::fileSystems () const

Returns a list of all available mounted file systems.

Warning: This may change in Qtopia 3.x to return only relevant Qtopia file systems (and ignore mount points such as /tmp)

### void StorageInfo::update ()`[slot]`

Updates the mount and free space available information for each mount point. This method is automatically called when a disk is mounted or unmounted.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.